Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package reify
  Definition Classes
    reflect
-  package utils
  Definition Classes
    reify
- Extractors
- NodePrinters
- StdAttachments
- SymbolTables
- Utils

t

scala.reflect.reify.utils

# Utils

###

#### trait Utils extends NodePrinters with Extractors with SymbolTables with StdAttachments

Source
  Utils.scala

Linear Supertypes
StdAttachments, SymbolTables, Extractors, NodePrinters, AnyRef, Any
Known Subclasses
ApplyReifier, Reifier, UnapplyReifier, Reifier
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Utils
2. StdAttachments
3. SymbolTables
4. Extractors
5. NodePrinters
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  sealed abstract class FreeDefExtractor extends AnyRef
   Definition Classes
     Extractors
2.  case class ReifyAliasAttachment(sym: tools.nsc.Global.Symbol, alias: tools.nsc.Global.TermName) extends Product with Serializable
   Definition Classes
     StdAttachments
3.  case class ReifyBindingAttachment(binding: tools.nsc.Global.Tree) extends Product with Serializable
   Definition Classes
     StdAttachments
4.  class SymbolTable extends AnyRef
   Definition Classes
     SymbolTables

### Abstract Value Members

1.  abstract val global: Global
2.  abstract val typer: (analyzer)#Typer

### Concrete Value Members

1.  object ApplyCall
   Definition Classes
     Extractors
2.  object BoundTerm
   Definition Classes
     Extractors
3.  object BoundType
   Definition Classes
     Extractors
4.  object FreeDef extends Utils.FreeDefExtractor
   Definition Classes
     Extractors
5.  object FreeRef
   Definition Classes
     Extractors
6.  object FreeTermDef extends Utils.FreeDefExtractor
   Definition Classes
     Extractors
7.  object FreeTypeDef extends Utils.FreeDefExtractor
   Definition Classes
     Extractors
8.  object ReifiedTree
   Definition Classes
     Extractors
9.  object ReifiedType
   Definition Classes
     Extractors
10.  object SymDef
    Definition Classes
      Extractors
11.  object TreeSplice
    Definition Classes
      Extractors
12.  object TypeRefToFreeType
    Definition Classes
      Extractors
13.  object reifiedNodeToString extends (tools.nsc.Global.Tree) => String
    Definition Classes
      NodePrinters
14.  object SymbolTable
    Definition Classes
      SymbolTables
15.  final def !=(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  final def ##(): Int
    Definition Classes
      AnyRef → Any
17.  def +(other: String): String
    Implicit
      This member is added by an implicit conversion from Utils toany2stringadd[Utils] performed by method any2stringadd in scala.Predef.
    Definition Classes
      any2stringadd
18.  def ->[B](y: B): (Utils, B)
    Implicit
      This member is added by an implicit conversion from Utils toArrowAssoc[Utils] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()
19.  final def ==(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
21.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
22.  def ensuring(cond: (Utils) => Boolean, msg: => Any): Utils
    Implicit
      This member is added by an implicit conversion from Utils toEnsuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
23.  def ensuring(cond: (Utils) => Boolean): Utils
    Implicit
      This member is added by an implicit conversion from Utils toEnsuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
24.  def ensuring(cond: Boolean, msg: => Any): Utils
    Implicit
      This member is added by an implicit conversion from Utils toEnsuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
25.  def ensuring(cond: Boolean): Utils
    Implicit
      This member is added by an implicit conversion from Utils toEnsuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
26.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
28.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
29.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Utils toStringFormat[Utils] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
30.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def getReifier: Reifier { val global: Utils.this.global.type }
32.  def hasReifier: Boolean
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  lazy val reifier: Reifier { val global: Utils.this.global.type }
39.  def reifyBinding(tree: tools.nsc.Global.Tree): tools.nsc.Global.Tree
    Definition Classes
      StdAttachments
40.  val reifyCopypaste: Boolean
41.  val reifyDebug: Boolean
42.  val reifyTrace: SimpleTracer
43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  def toString(): String
    Definition Classes
      AnyRef → Any
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Utils, B)
   Implicit
     This member is added by an implicit conversion from Utils toArrowAssoc[Utils] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from StdAttachments

### Inherited from SymbolTables

### Inherited from Extractors

### Inherited from NodePrinters

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromUtils to any2stringadd[Utils]

### Inherited by implicit conversion StringFormat fromUtils to StringFormat[Utils]

### Inherited by implicit conversion Ensuring fromUtils to Ensuring[Utils]

### Inherited by implicit conversion ArrowAssoc fromUtils to ArrowAssoc[Utils]

### Ungrouped